version: "3"
services:
  directus:
    image: registry.gitlab.com/black-diamondz/black-diamondz_directus:latest
    ports:
      - "8055:8055"
    volumes:
      - ./database:/directus/database
      - ./uploads:/directus/uploads
      - ./extensions:/directus/extensions
    environment:
      SECRET: "replace-with-secure-random-value"
      ADMIN_EMAIL: "implementer@62teknologi.com"
      ADMIN_PASSWORD: "password"
      DB_CLIENT: "sqlite3"
      DB_FILENAME: "/directus/database/black-diamondz.db"
      DB_EXTENSION: "spatialite"
      WEBSOCKETS_ENABLED: "true"
      USER_REGISTER_URL_ALLOW_LIST: "https://black-diamondz-dev.com.au/verify"
      EMAIL_TRANSPORT: "smtp"
      EMAIL_FROM: "hello@blackdiamondz.co.au"
      EMAIL_SMTP_HOST: "mailpit.62dev.org"
      EMAIL_SMTP_PORT: "1025"
      EMAIL_SMTP_IGNORE_TLS: "true"
      
